# 5.18.1.3. eqcorrscan.utils.trigger.TriggerParameters

class `eqcorrscan.utils.trigger.``TriggerParameters`(header={})

  Bases: `obspy.core.util.attribdict.AttribDict`

  Base class for trigger parameters.

      >>> from eqcorrscan.utils.trigger import TriggerParameters
      >>> defaults = TriggerParameters()
      >>> defaults.station = 'TEST'
      >>> # Or use dictionaries
      >>> defaults['station'] = 'ALF'
      >>> defaults = TriggerParameters({'station': 'TEST',
      ...                               'channel': 'SHZ',
      ...                               'sta_len': 0.3,
      ...                               'lta_len': 10.0,
      ...                               'thr_on': 10,
      ...                               'thr_off': 3,
      ...                               'lowcut': 2,
      ...                               'highcut': 20})
      >>> print(defaults.station)
      TEST

  `__init__`(header={})

  Methods

  `__init__`([header]) |
  `clear`(() -> None. Remove all items from D.) |
  `copy`() |
  `get`((k[,d]) -> D[k] if k in D, ...) |
  `items`(...) |
  `keys`(...) |
  `pop`((k[,d]) -> v, ...) | If key is not found, d is returned if given, otherwise KeyError is raised.
  `popitem`(() -> (k, v), ...) | as a 2-tuple; but raise KeyError if D is empty.
  `setdefault`((k[,d]) -> D.get(k,d), ...) |
  `update`([adict]) |
  `values`(...) |
  `write`(filename[, append]) | Write the parameters to a file as a human-readable series of dicts.

  Attributes

  `defaults` |
  `do_not_warn_on` |
  `readonly` |
  `warn_on_non_default_key` |